gen start = 0
gen end = 0
gen str_beta_gr_loc = .
gen str_beta_unem_loc = .
gen wek_beta_gr_loc = .
gen wek_beta_unem_loc = .
gen str_t_gr_loc = .
gen str_t_unem_loc = .
gen wek_t_gr_loc = .
gen wek_t_unem_loc = .

gen window_end = .

local window = 10
local first_year = 1979

forvalues y = 1/20 {
	quietly replace start = `y' + `first_year' in `y'
	quietly replace end = start + `window' in `y'
	local a = `first_year' + `y'
	local b = `first_year' + `y' + `window'
	quietly reg votelead gr_loc_pc_an unem_loc_pc_an if elecyr >= `a' & elecyr <`b' & pm_strong == 1
	quietly replace str_beta_gr_loc = _b[gr_loc_pc_an] in `y'
	quietly replace str_beta_unem_loc = _b[unem_loc_pc_an] in `y'
	eststo time_str_`y'
	
	quietly reg votelead gr_loc_pc_an unem_loc_pc_an if elecyr >= `a' & elecyr <`b' & pm_strong == 0
	quietly replace wek_beta_gr_loc = _b[gr_loc_pc_an] in `y'
	quietly replace wek_beta_unem_loc = _b[unem_loc_pc_an] in `y'
	eststo time_weak_`y'
	
	quietly reg votelead gr_loc_pc_an unem_loc_pc_an if elecyr >= `a' & elecyr < `b', robust
	eststo time_all_`y'
	quietly replace window_end = `b' in `y'
}

sort elecyr
twoway (line wek_beta_unem_loc str_beta_unem_loc window_end, legend(col(1) order(1 "Weak Dissolution Powers (<8)" 2 "Strong Dissolution Powers (>=8)")) clpattern(solid shortdash) clcolor (black black)  yline(0) scheme(s1mono) xtitle("Window End") ytitle("Coefficient") title(""))
graph export unemp_time.pdf, replace
twoway (line wek_beta_gr_loc str_beta_gr_loc window_end, legend(col(1) order(1 "Weak Dissolution Powers (<8)" 2 "Strong Dissolution Powers (>=8)")) clpattern(solid shortdash) clcolor (black black) yline(0) scheme(s1mono) xtitle("Window End") ytitle("Coefficient") title("")) 
graph export growth_time.pdf, replace

drop start
drop end
drop *_beta_*
drop *_t_*
drop window_end

local ax
local wx
local sx
forval i = 1/20{
	local ax `ax' time_all_`i'
	local wx `wx' time_weak_`i'
	local sx `sx' time_str_`i'
}
coefplot `ax', drop(_cons) xline(0) legend(off) level(95)
graph export time_cis_all.pdf, replace
coefplot `wx', drop(_cons) xline(0) legend(off) level(95)
graph export time_cis_weak.pdf, replace
coefplot `sx', drop(_cons) xline(0) legend(off) level(95)
graph export time_cis_strong.pdf, replace

estimates drop time_*
